#include "fortran.h"

void
cvtstr(const char *s)			/* output possibly case-converted string */
{
    if (*s == '?')			/* no equivalent function available */
    {
	(void)fprintf(stderr,
	   "WARNING: %s has no equivalent in different precision at line %d\n",
	    s, (int)(lineno + 1));
	outstr(s);			/* output original function name */
    }
    else if (islower(s[0]))
	outstr(s);
    else
    {
	for ( ; *s ; ++s)
	    output(islower(*s) ? toupper(*s) : *s);
    }
}
