#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# ifndef YYLMAX 
# define YYLMAX BUFSIZ
# endif 
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
#define YYISARRAY
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 2 "qtod.l"
 /* qtod - convert Fortran program from quad to double precision */
#include "flex.h"
#include "fortran.h"
int debug = 0;				/* non-zero for debug output when */
					/* compiled with -DDEBUG */
int hp_output = 0;			/* non-0 for quad-precision output */
		/* increase lex table sizes for lex */
				    /* digits with optional embedded blanks */
					/* decimal digit */
					/* floating-point exponent */
					/* optional whitespace */
					/* number */
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 54 "qtod.l"
		ECHO;
break;
case 2:

# line 56 "qtod.l"
		{	/* handle tabbed continuation */
				    outstr("     ");
				    output(yytext[1]);
				}
break;
case 3:

# line 61 "qtod.l"
case 4:

# line 62 "qtod.l"
			outstr("      ");
break;
case 5:

# line 64 "qtod.l"
	convert_declaration(yytext);
break;
case 6:

# line 66 "qtod.l"
convert_declaration(yytext);
break;
case 7:

# line 68 "qtod.l"
		ECHO;
break;
case 8:

# line 70 "qtod.l"
ECHO;
break;
case 9:

# line 72 "qtod.l"
	ECHO;
break;
case 10:

# line 74 "qtod.l"
case 11:

# line 75 "qtod.l"
case 12:

# line 76 "qtod.l"
case 13:

# line 77 "qtod.l"
case 14:

# line 78 "qtod.l"
case 15:

# line 79 "qtod.l"
case 16:

# line 80 "qtod.l"
case 17:

# line 81 "qtod.l"
case 18:

# line 82 "qtod.l"
case 19:

# line 83 "qtod.l"
case 20:

# line 84 "qtod.l"
case 21:

# line 85 "qtod.l"
		ECHO;
break;
case 22:

# line 87 "qtod.l"
case 23:

# line 88 "qtod.l"
case 24:

# line 89 "qtod.l"
		convert_number(yytext) ;
break;
case 25:

# line 91 "qtod.l"
	cvtstr("idint");
break;
case 26:

# line 92 "qtod.l"
cvtstr("idnint");
break;
case 27:

# line 93 "qtod.l"
	cvtstr("dble");
break;
case 28:

# line 94 "qtod.l"
	cvtstr("dint");
break;
case 29:

# line 95 "qtod.l"
	cvtstr("dlog");
break;
case 30:

# line 96 "qtod.l"
	cvtstr("dlog10");
break;
case 31:

# line 97 "qtod.l"
	cvtstr("dmax0");
break;
case 32:

# line 98 "qtod.l"
	cvtstr("dmax1");
break;
case 33:

# line 99 "qtod.l"
	cvtstr("dmin0");
break;
case 34:

# line 100 "qtod.l"
	cvtstr("dmin1");
break;
case 35:

# line 101 "qtod.l"
	cvtstr("dmod");
break;
case 36:

# line 102 "qtod.l"
	cvtstr("dnint");
break;
case 37:

# line 103 "qtod.l"
	cvtstr("dabs");
break;
case 38:

# line 104 "qtod.l"
	cvtstr("dacos");
break;
case 39:

# line 105 "qtod.l"
	cvtstr("dasin");
break;
case 40:

# line 106 "qtod.l"
	cvtstr("datan");
break;
case 41:

# line 107 "qtod.l"
	cvtstr("datan2");
break;
case 42:

# line 108 "qtod.l"
	cvtstr("dcos");
break;
case 43:

# line 109 "qtod.l"
	cvtstr("dcosh");
break;
case 44:

# line 110 "qtod.l"
	cvtstr("ddim");
break;
case 45:

# line 111 "qtod.l"
	cvtstr("dexp");
break;
case 46:

# line 112 "qtod.l"
cvtstr("dfloat");
break;
case 47:

# line 113 "qtod.l"
	cvtstr("dsign");
break;
case 48:

# line 114 "qtod.l"
	cvtstr("dsin");
break;
case 49:

# line 115 "qtod.l"
	cvtstr("dsinh");
break;
case 50:

# line 116 "qtod.l"
	cvtstr("dsqrt");
break;
case 51:

# line 117 "qtod.l"
	cvtstr("dtan");
break;
case 52:

# line 118 "qtod.l"
	cvtstr("dtanh");
break;
case 53:

# line 120 "qtod.l"
	cvtstr("drand");
break;
case 54:

# line 121 "qtod.l"
	cvtstr("d1mach");
break;
case 55:

# line 123 "qtod.l"
		outhollerith(yytext);
break;
case 56:

# line 125 "qtod.l"
	outquotedstring(yytext);
break;
case 57:

# line 127 "qtod.l"
case 58:

# line 128 "qtod.l"
case 59:

# line 129 "qtod.l"
case 60:

# line 130 "qtod.l"
			ECHO;
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

# line 132 "qtod.l"

#include <common.h>
int yyvstop[] = {
0,

60,
0, 

59,
0, 

60,
0, 

60,
0, 

58,
60,
0, 

60,
0, 

60,
0, 

60,
0, 

4,
60,
0, 

60,
0, 

60,
-1,
0, 

60,
-1,
0, 

60,
0, 

60,
0, 

56,
0, 

23,
0, 

22,
0, 

58,
0, 

55,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

3,
0, 

2,
0, 

-1,
0, 

1,
0, 

57,
-1,
0, 

57,
-1,
0, 

57,
0, 

57,
0, 

55,
0, 

22,
23,
0, 

24,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

-1,
0, 

-1,
0, 

57,
0, 

57,
0, 

23,
0, 

18,
0, 

14,
0, 

15,
0, 

16,
0, 

17,
0, 

20,
0, 

13,
0, 

24,
0, 

22,
0, 

9,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
-37,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
-42,
0, 

57,
-44,
0, 

57,
-45,
0, 

57,
-27,
0, 

57,
0, 

57,
-28,
0, 

57,
-29,
0, 

57,
0, 

57,
0, 

57,
-35,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
-48,
0, 

57,
0, 

57,
-51,
0, 

-1,
0, 

9,
-1,
0, 

57,
0, 

57,
0, 

11,
0, 

19,
0, 

21,
0, 

10,
0, 

12,
0, 

22,
23,
0, 

57,
-25,
0, 

57,
0, 

57,
0, 

37,
0, 

57,
-38,
0, 

57,
-39,
0, 

57,
-40,
0, 

42,
0, 

57,
-43,
0, 

44,
0, 

45,
0, 

27,
0, 

57,
0, 

28,
0, 

29,
0, 

57,
0, 

57,
-31,
0, 

57,
-32,
0, 

57,
-33,
0, 

57,
-34,
0, 

35,
0, 

57,
-36,
0, 

57,
-53,
0, 

57,
-47,
0, 

48,
0, 

57,
-49,
0, 

57,
-50,
0, 

51,
0, 

57,
-52,
0, 

-1,
0, 

57,
0, 

8,
0, 

25,
0, 

57,
-26,
0, 

57,
-54,
0, 

38,
0, 

39,
0, 

40,
0, 

57,
-41,
0, 

43,
0, 

57,
-46,
0, 

57,
-30,
0, 

31,
0, 

32,
0, 

33,
0, 

34,
0, 

36,
0, 

53,
0, 

47,
0, 

49,
0, 

50,
0, 

52,
0, 

7,
0, 

7,
0, 

7,
0, 

7,
0, 

57,
0, 

26,
0, 

54,
0, 

41,
0, 

46,
0, 

30,
0, 

57,
0, 

5,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

57,
0, 

6,
0, 
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
2,11,	12,51,	0,0,	0,0,	
0,0,	1,3,	0,0,	0,0,	
51,51,	56,113,	88,88,	35,88,	
1,5,	113,167,	119,172,	1,3,	
1,3,	18,63,	83,88,	1,6,	
86,139,	1,7,	1,7,	2,12,	
12,56,	35,89,	69,123,	70,124,	
71,125,	72,126,	75,130,	120,173,	
83,89,	2,13,	86,89,	115,169,	
115,169,	2,6,	1,8,	1,8,	
1,8,	1,8,	1,8,	1,8,	
1,8,	1,8,	1,9,	1,8,	
16,62,	1,8,	1,8,	1,8,	
1,8,	1,8,	1,10,	1,8,	
1,8,	1,8,	2,14,	1,8,	
5,17,	1,8,	9,37,	15,61,	
2,15,	12,54,	122,174,	15,37,	
5,17,	5,17,	128,175,	20,67,	
21,68,	2,16,	12,55,	129,176,	
114,114,	24,73,	25,75,	26,76,	
16,62,	54,111,	55,112,	67,120,	
74,129,	76,131,	111,165,	24,74,	
112,166,	131,177,	132,178,	5,17,	
114,168,	114,168,	9,37,	15,61,	
137,181,	12,54,	5,18,	15,37,	
141,184,	5,17,	5,17,	20,67,	
21,68,	167,226,	12,55,	5,17,	
5,17,	24,73,	25,75,	26,76,	
172,172,	54,111,	55,112,	67,120,	
74,129,	76,131,	111,165,	24,74,	
112,166,	68,121,	178,178,	180,230,	
5,17,	5,17,	5,17,	5,17,	
5,17,	5,17,	5,17,	5,17,	
5,17,	5,17,	165,224,	5,17,	
5,17,	5,17,	5,17,	5,17,	
5,17,	5,17,	5,17,	5,17,	
140,182,	5,17,	73,127,	5,17,	
6,19,	6,19,	6,19,	6,19,	
6,19,	6,19,	6,19,	6,19,	
6,19,	6,19,	140,183,	22,69,	
23,71,	68,122,	166,225,	181,181,	
182,182,	6,20,	165,224,	184,184,	
225,229,	6,21,	168,114,	6,22,	
229,273,	230,230,	22,70,	23,72,	
6,23,	224,267,	6,24,	6,25,	
231,274,	73,128,	7,27,	169,227,	
168,115,	267,285,	168,168,	168,168,	
6,26,	269,51,	38,88,	22,69,	
23,71,	68,122,	166,225,	273,287,	
274,274,	6,20,	227,227,	169,169,	
169,169,	6,21,	285,288,	6,22,	
38,89,	7,28,	22,70,	23,72,	
6,23,	224,267,	6,24,	6,25,	
298,299,	73,128,	227,169,	227,169,	
299,300,	267,285,	300,301,	7,29,	
6,26,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	0,0,	
288,290,	292,294,	285,288,	38,92,	
294,296,	296,298,	7,31,	7,31,	
7,31,	7,32,	7,32,	7,31,	
7,31,	7,33,	7,31,	7,31,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,34,	7,32,	7,31,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,31,	7,31,	7,31,	
288,290,	292,294,	0,0,	38,92,	
294,296,	296,298,	7,31,	7,31,	
7,31,	7,32,	7,32,	7,31,	
7,31,	7,33,	7,31,	7,31,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,34,	7,32,	7,31,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,31,	7,31,	7,31,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	10,38,	
31,83,	31,83,	31,83,	31,83,	
31,83,	31,83,	31,83,	31,83,	
31,83,	31,83,	0,0,	0,0,	
188,188,	193,193,	196,196,	10,39,	
0,0,	10,40,	10,41,	10,42,	
10,43,	0,0,	0,0,	10,44,	
0,0,	198,198,	10,45,	10,46,	
10,47,	0,0,	11,51,	200,200,	
10,48,	10,49,	10,50,	188,188,	
193,193,	196,196,	27,27,	0,0,	
0,0,	0,0,	0,0,	188,189,	
193,194,	196,197,	0,0,	10,39,	
198,198,	10,40,	10,41,	10,42,	
10,43,	11,51,	200,200,	10,44,	
198,199,	0,0,	10,45,	10,46,	
10,47,	27,27,	200,201,	0,0,	
10,48,	10,49,	10,50,	0,0,	
203,203,	11,52,	11,53,	11,53,	
11,53,	11,53,	11,53,	11,53,	
11,53,	11,53,	11,53,	0,0,	
13,57,	205,205,	212,212,	217,217,	
221,221,	232,232,	236,236,	0,0,	
13,57,	13,58,	0,0,	203,203,	
0,0,	0,0,	11,54,	0,0,	
0,0,	27,77,	27,77,	203,204,	
238,238,	27,78,	290,290,	11,55,	
205,205,	212,212,	217,217,	221,221,	
232,232,	236,236,	27,77,	13,57,	
205,206,	212,213,	217,218,	221,222,	
232,233,	236,237,	13,57,	0,0,	
0,0,	13,57,	13,57,	238,238,	
0,0,	290,290,	11,54,	13,57,	
13,57,	27,77,	27,77,	238,239,	
0,0,	27,78,	0,0,	11,55,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	27,77,	240,240,	
13,57,	13,57,	13,57,	13,57,	
13,57,	13,57,	13,57,	13,57,	
13,57,	13,57,	0,0,	13,57,	
13,57,	13,57,	13,57,	13,57,	
13,57,	13,57,	13,57,	13,57,	
0,0,	13,57,	240,240,	13,57,	
14,59,	14,59,	0,0,	0,0,	
19,64,	0,0,	240,241,	290,292,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	28,27,	0,0,	
0,0,	14,60,	14,60,	14,60,	
14,60,	14,60,	14,60,	14,60,	
14,60,	14,60,	14,60,	19,65,	
14,60,	14,60,	14,60,	14,60,	
14,60,	14,60,	14,60,	14,60,	
14,60,	28,28,	14,60,	290,292,	
14,60,	0,0,	0,0,	19,19,	
19,19,	19,19,	19,19,	19,19,	
19,19,	19,19,	19,19,	19,19,	
19,19,	28,79,	28,79,	28,79,	
28,79,	28,79,	28,79,	28,79,	
28,79,	28,79,	28,79,	19,66,	
19,66,	0,0,	243,243,	247,247,	
249,249,	251,251,	253,253,	255,255,	
0,0,	28,77,	28,77,	0,0,	
19,66,	28,78,	0,0,	0,0,	
29,80,	257,257,	0,0,	0,0,	
259,259,	0,0,	28,77,	0,0,	
0,0,	243,243,	247,247,	249,249,	
251,251,	253,253,	255,255,	19,66,	
19,66,	243,244,	247,248,	249,250,	
251,252,	253,254,	255,256,	29,80,	
257,257,	28,77,	28,77,	259,259,	
19,66,	28,78,	0,0,	0,0,	
257,258,	0,0,	0,0,	259,260,	
0,0,	0,0,	28,77,	29,81,	
29,81,	29,81,	29,81,	29,81,	
29,81,	29,81,	29,81,	29,81,	
29,81,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
32,84,	0,0,	32,84,	29,82,	
29,82,	32,85,	32,85,	32,85,	
32,85,	32,85,	32,85,	32,85,	
32,85,	32,85,	32,85,	0,0,	
29,82,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	29,82,	
29,82,	34,86,	34,86,	34,86,	
34,86,	34,86,	34,86,	34,86,	
34,86,	34,86,	34,86,	0,0,	
29,82,	0,0,	0,0,	0,0,	
0,0,	0,0,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
34,87,	34,87,	34,87,	34,87,	
37,36,	37,36,	37,36,	37,36,	
37,36,	37,36,	37,36,	37,36,	
37,36,	37,36,	39,36,	39,36,	
39,36,	39,36,	39,36,	39,36,	
39,36,	39,36,	39,36,	39,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	37,90,	0,0,	0,0,	
39,93,	39,94,	37,91,	0,0,	
40,36,	40,36,	40,36,	40,36,	
40,36,	40,36,	40,36,	40,36,	
40,36,	40,36,	261,261,	263,263,	
265,265,	39,95,	39,96,	41,36,	
41,36,	41,36,	41,36,	41,36,	
41,36,	41,36,	41,36,	41,36,	
41,36,	37,90,	0,0,	0,0,	
39,93,	39,94,	37,91,	40,97,	
0,0,	261,261,	263,263,	265,265,	
275,275,	277,277,	279,279,	281,281,	
41,98,	261,262,	263,264,	265,266,	
0,0,	39,95,	39,96,	42,36,	
42,36,	42,36,	42,36,	42,36,	
42,36,	42,36,	42,36,	42,36,	
42,36,	0,0,	0,0,	275,275,	
277,277,	279,279,	281,281,	40,97,	
0,0,	0,0,	0,0,	275,276,	
277,278,	279,280,	281,282,	0,0,	
41,98,	43,36,	43,36,	43,36,	
43,36,	43,36,	43,36,	43,36,	
43,36,	43,36,	43,36,	0,0,	
0,0,	0,0,	0,0,	42,99,	
44,36,	44,36,	44,36,	44,36,	
44,36,	44,36,	44,36,	44,36,	
44,36,	44,36,	0,0,	0,0,	
0,0,	43,100,	0,0,	45,36,	
45,36,	45,36,	45,36,	45,36,	
45,36,	45,36,	45,36,	45,36,	
45,36,	283,283,	0,0,	0,0,	
0,0,	0,0,	44,101,	42,99,	
46,36,	46,36,	46,36,	46,36,	
46,36,	46,36,	46,36,	46,36,	
46,36,	46,36,	0,0,	0,0,	
0,0,	43,100,	45,102,	0,0,	
283,283,	46,103,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
283,284,	46,104,	0,0,	0,0,	
0,0,	0,0,	44,101,	46,105,	
0,0,	47,36,	47,36,	47,36,	
47,36,	47,36,	47,36,	47,36,	
47,36,	47,36,	47,36,	0,0,	
0,0,	0,0,	45,102,	0,0,	
0,0,	46,103,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	46,104,	47,106,	0,0,	
0,0,	0,0,	0,0,	46,105,	
48,36,	48,36,	48,36,	48,36,	
48,36,	48,36,	48,36,	48,36,	
48,36,	48,36,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,107,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,106,	49,36,	
49,36,	49,36,	49,36,	49,36,	
49,36,	49,36,	49,36,	49,36,	
49,36,	50,36,	50,36,	50,36,	
50,36,	50,36,	50,36,	50,36,	
50,36,	50,36,	50,36,	0,0,	
0,0,	48,107,	0,0,	0,0,	
49,108,	0,0,	50,110,	0,0,	
0,0,	0,0,	0,0,	0,0,	
49,109,	59,114,	0,0,	0,0,	
0,0,	62,36,	62,36,	62,36,	
62,36,	62,36,	62,36,	62,36,	
62,36,	62,36,	62,36,	59,115,	
0,0,	59,59,	59,59,	0,0,	
0,0,	0,0,	62,117,	0,0,	
49,108,	0,0,	50,110,	0,0,	
0,0,	0,0,	0,0,	0,0,	
49,109,	0,0,	59,60,	59,60,	
59,60,	59,60,	59,60,	59,60,	
59,60,	59,60,	59,60,	59,60,	
0,0,	59,60,	59,60,	59,60,	
59,60,	59,60,	59,60,	59,60,	
59,60,	59,60,	62,117,	59,60,	
0,0,	59,60,	60,60,	60,60,	
0,0,	0,0,	0,0,	61,36,	
61,36,	61,36,	61,36,	61,36,	
61,36,	61,36,	61,36,	61,36,	
61,36,	0,0,	0,0,	60,60,	
60,60,	60,60,	60,60,	60,60,	
60,60,	60,60,	60,60,	60,60,	
60,60,	0,0,	60,60,	60,60,	
60,60,	60,60,	60,60,	60,60,	
60,60,	60,60,	60,60,	61,116,	
60,60,	63,63,	60,60,	64,64,	
0,0,	0,0,	66,118,	0,0,	
66,118,	63,63,	63,63,	66,119,	
66,119,	66,119,	66,119,	66,119,	
66,119,	66,119,	66,119,	66,119,	
66,119,	0,0,	0,0,	0,0,	
0,0,	0,0,	64,64,	0,0,	
0,0,	0,0,	0,0,	61,116,	
63,63,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	63,63,	63,63,	
0,0,	0,0,	0,0,	0,0,	
63,63,	63,63,	77,132,	77,132,	
77,132,	77,132,	77,132,	77,132,	
77,132,	77,132,	77,132,	77,132,	
0,0,	0,0,	64,66,	64,66,	
80,80,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	64,66,	
63,63,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
63,63,	81,133,	63,63,	80,80,	
63,63,	0,0,	0,0,	0,0,	
0,0,	0,0,	64,66,	64,66,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	0,0,	64,66,	
81,134,	84,132,	84,132,	84,132,	
84,132,	84,132,	84,132,	84,132,	
84,132,	84,132,	84,132,	0,0,	
82,136,	0,0,	82,136,	80,82,	
80,82,	82,137,	82,137,	82,137,	
82,137,	82,137,	82,137,	82,137,	
82,137,	82,137,	82,137,	0,0,	
80,82,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
81,135,	81,135,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	80,82,	
80,82,	81,135,	87,140,	87,140,	
87,140,	87,140,	87,140,	87,140,	
87,140,	87,140,	87,140,	87,140,	
80,82,	0,0,	0,0,	0,0,	
0,0,	0,0,	85,138,	0,0,	
81,135,	81,135,	89,141,	89,141,	
89,141,	89,141,	89,141,	89,141,	
89,141,	89,141,	89,141,	89,141,	
85,89,	81,135,	85,85,	85,85,	
85,85,	85,85,	85,85,	85,85,	
85,85,	85,85,	85,85,	85,85,	
90,36,	90,36,	90,36,	90,36,	
90,36,	90,36,	90,36,	90,36,	
90,36,	90,36,	91,36,	91,36,	
91,36,	91,36,	91,36,	91,36,	
91,36,	91,36,	91,36,	91,36,	
92,36,	92,36,	92,36,	92,36,	
92,36,	92,36,	92,36,	92,36,	
92,36,	92,36,	90,142,	0,0,	
0,0,	0,0,	0,0,	91,143,	
0,0,	92,144,	93,36,	93,36,	
93,36,	93,36,	93,36,	93,36,	
93,36,	93,36,	93,36,	93,36,	
94,36,	94,36,	94,36,	94,36,	
94,36,	94,36,	94,36,	94,36,	
94,36,	94,36,	0,0,	0,0,	
0,0,	0,0,	90,142,	0,0,	
0,0,	0,0,	0,0,	91,143,	
0,0,	92,144,	0,0,	0,0,	
0,0,	93,145,	0,0,	0,0,	
0,0,	0,0,	0,0,	94,146,	
0,0,	95,36,	95,36,	95,36,	
95,36,	95,36,	95,36,	95,36,	
95,36,	95,36,	95,36,	96,36,	
96,36,	96,36,	96,36,	96,36,	
96,36,	96,36,	96,36,	96,36,	
96,36,	0,0,	0,0,	0,0,	
0,0,	93,145,	95,147,	0,0,	
96,148,	0,0,	0,0,	94,146,	
97,36,	97,36,	97,36,	97,36,	
97,36,	97,36,	97,36,	97,36,	
97,36,	97,36,	98,36,	98,36,	
98,36,	98,36,	98,36,	98,36,	
98,36,	98,36,	98,36,	98,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	95,147,	0,0,	
96,148,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	97,149,	
0,0,	0,0,	0,0,	98,150,	
99,36,	99,36,	99,36,	99,36,	
99,36,	99,36,	99,36,	99,36,	
99,36,	99,36,	100,36,	100,36,	
100,36,	100,36,	100,36,	100,36,	
100,36,	100,36,	100,36,	100,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	97,149,	
0,0,	0,0,	0,0,	98,150,	
99,151,	0,0,	0,0,	0,0,	
99,152,	0,0,	0,0,	0,0,	
0,0,	100,153,	101,36,	101,36,	
101,36,	101,36,	101,36,	101,36,	
101,36,	101,36,	101,36,	101,36,	
102,36,	102,36,	102,36,	102,36,	
102,36,	102,36,	102,36,	102,36,	
102,36,	102,36,	0,0,	0,0,	
99,151,	0,0,	0,0,	0,0,	
99,152,	0,0,	0,0,	0,0,	
0,0,	100,153,	0,0,	102,155,	
0,0,	0,0,	101,154,	103,36,	
103,36,	103,36,	103,36,	103,36,	
103,36,	103,36,	103,36,	103,36,	
103,36,	0,0,	104,36,	104,36,	
104,36,	104,36,	104,36,	104,36,	
104,36,	104,36,	104,36,	104,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	102,155,	
0,0,	0,0,	101,154,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	103,156,	
104,157,	105,36,	105,36,	105,36,	
105,36,	105,36,	105,36,	105,36,	
105,36,	105,36,	105,36,	106,36,	
106,36,	106,36,	106,36,	106,36,	
106,36,	106,36,	106,36,	106,36,	
106,36,	105,158,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	103,156,	
104,157,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	106,159,	107,36,	107,36,	
107,36,	107,36,	107,36,	107,36,	
107,36,	107,36,	107,36,	107,36,	
0,0,	105,158,	108,36,	108,36,	
108,36,	108,36,	108,36,	108,36,	
108,36,	108,36,	108,36,	108,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
107,160,	106,159,	0,0,	0,0,	
0,0,	108,161,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
108,162,	109,36,	109,36,	109,36,	
109,36,	109,36,	109,36,	109,36,	
109,36,	109,36,	109,36,	133,133,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
107,160,	0,0,	0,0,	0,0,	
0,0,	108,161,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
108,162,	0,0,	133,133,	109,163,	
110,36,	110,36,	110,36,	110,36,	
110,36,	110,36,	110,36,	110,36,	
110,36,	110,36,	116,36,	116,36,	
116,36,	116,36,	116,36,	116,36,	
116,36,	116,36,	116,36,	116,36,	
117,36,	117,36,	117,36,	117,36,	
117,36,	117,36,	117,36,	117,36,	
117,36,	117,36,	110,164,	109,163,	
0,0,	0,0,	133,135,	133,135,	
134,133,	0,0,	116,170,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	133,135,	
117,171,	118,119,	118,119,	118,119,	
118,119,	118,119,	118,119,	118,119,	
118,119,	118,119,	118,119,	134,134,	
0,0,	0,0,	110,164,	0,0,	
0,0,	0,0,	133,135,	133,135,	
0,0,	0,0,	116,170,	0,0,	
0,0,	0,0,	0,0,	0,0,	
135,179,	0,0,	135,179,	133,135,	
117,171,	135,180,	135,180,	135,180,	
135,180,	135,180,	135,180,	135,180,	
135,180,	135,180,	135,180,	0,0,	
0,0,	138,138,	0,0,	134,135,	
134,135,	136,137,	136,137,	136,137,	
136,137,	136,137,	136,137,	136,137,	
136,137,	136,137,	136,137,	0,0,	
134,135,	138,85,	138,85,	138,85,	
138,85,	138,85,	138,85,	138,85,	
138,85,	138,85,	138,85,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	139,139,	0,0,	134,135,	
134,135,	142,36,	142,36,	142,36,	
142,36,	142,36,	142,36,	142,36,	
142,36,	142,36,	142,36,	0,0,	
134,135,	139,86,	139,86,	139,86,	
139,86,	139,86,	139,86,	139,86,	
139,86,	139,86,	139,86,	143,36,	
143,36,	143,36,	143,36,	143,36,	
143,36,	143,36,	143,36,	143,36,	
143,36,	145,188,	0,0,	0,0,	
0,0,	142,185,	144,36,	144,36,	
144,36,	144,36,	144,36,	144,36,	
144,36,	144,36,	144,36,	144,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	143,186,	0,0,	0,0,	
145,188,	144,187,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
145,189,	0,0,	0,0,	0,0,	
0,0,	142,185,	0,0,	0,0,	
145,36,	145,36,	145,36,	145,36,	
145,36,	145,36,	145,36,	145,36,	
145,36,	145,36,	0,0,	0,0,	
0,0,	143,186,	0,0,	0,0,	
0,0,	144,187,	146,36,	146,36,	
146,36,	146,36,	146,36,	146,36,	
146,36,	146,36,	146,36,	146,36,	
147,36,	147,36,	147,36,	147,36,	
147,36,	147,36,	147,36,	147,36,	
147,36,	147,36,	148,36,	148,36,	
148,36,	148,36,	148,36,	148,36,	
148,36,	148,36,	148,36,	148,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	146,190,	0,0,	0,0,	
0,0,	0,0,	147,191,	0,0,	
0,0,	0,0,	0,0,	149,193,	
0,0,	0,0,	0,0,	0,0,	
148,192,	0,0,	153,36,	153,36,	
153,36,	153,36,	153,36,	153,36,	
153,36,	153,36,	153,36,	153,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	146,190,	149,193,	153,202,	
0,0,	150,196,	147,191,	0,0,	
0,0,	0,0,	149,194,	0,0,	
0,0,	0,0,	0,0,	0,0,	
148,192,	0,0,	149,36,	149,36,	
149,36,	149,36,	149,36,	149,36,	
149,36,	149,36,	149,36,	149,36,	
150,196,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	153,202,	
150,197,	151,198,	0,0,	0,0,	
0,0,	0,0,	149,195,	0,0,	
150,36,	150,36,	150,36,	150,36,	
150,36,	150,36,	150,36,	150,36,	
150,36,	150,36,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
151,198,	0,0,	0,0,	152,200,	
0,0,	0,0,	0,0,	0,0,	
151,199,	0,0,	0,0,	0,0,	
0,0,	0,0,	149,195,	0,0,	
151,36,	151,36,	151,36,	151,36,	
151,36,	151,36,	151,36,	151,36,	
151,36,	151,36,	152,200,	0,0,	
0,0,	154,203,	0,0,	0,0,	
0,0,	0,0,	152,201,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	152,36,	152,36,	
152,36,	152,36,	152,36,	152,36,	
152,36,	152,36,	152,36,	152,36,	
154,203,	0,0,	0,0,	155,205,	
0,0,	0,0,	0,0,	0,0,	
154,204,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
154,36,	154,36,	154,36,	154,36,	
154,36,	154,36,	154,36,	154,36,	
154,36,	154,36,	155,205,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	155,206,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	155,36,	155,207,	
155,36,	155,36,	155,36,	155,36,	
155,36,	155,36,	155,36,	155,36,	
156,208,	156,209,	156,36,	156,36,	
156,36,	156,36,	156,36,	156,36,	
156,36,	156,36,	157,210,	157,211,	
157,36,	157,36,	157,36,	157,36,	
157,36,	157,36,	157,36,	157,36,	
158,212,	159,36,	159,36,	159,36,	
159,36,	159,36,	159,36,	159,36,	
159,36,	159,36,	159,36,	0,0,	
160,36,	160,36,	160,36,	160,36,	
160,36,	160,36,	160,36,	160,36,	
160,36,	160,36,	0,0,	158,212,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	158,213,	
160,215,	0,0,	0,0,	0,0,	
0,0,	159,214,	0,0,	158,36,	
158,36,	158,36,	158,36,	158,36,	
158,36,	158,36,	158,36,	158,36,	
158,36,	161,36,	161,36,	161,36,	
161,36,	161,36,	161,36,	161,36,	
161,36,	161,36,	161,36,	162,217,	
0,0,	0,0,	0,0,	0,0,	
160,215,	0,0,	0,0,	0,0,	
0,0,	159,214,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	161,216,	
0,0,	0,0,	162,217,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	162,218,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	162,36,	162,36,	
162,36,	162,36,	162,36,	162,36,	
162,36,	162,36,	162,36,	162,36,	
0,0,	0,0,	0,0,	161,216,	
163,36,	163,36,	163,36,	163,36,	
163,36,	163,36,	163,36,	163,36,	
163,36,	163,36,	162,219,	0,0,	
164,221,	170,36,	170,36,	170,36,	
170,36,	170,36,	170,36,	170,36,	
170,36,	170,36,	170,36,	179,180,	
179,180,	179,180,	179,180,	179,180,	
179,180,	179,180,	179,180,	179,180,	
179,180,	0,0,	0,0,	164,221,	
163,220,	0,0,	170,228,	0,0,	
0,0,	0,0,	162,219,	164,222,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	164,36,	
164,36,	164,36,	164,36,	164,36,	
164,36,	164,36,	164,36,	164,36,	
164,36,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
163,220,	0,0,	170,228,	171,229,	
0,0,	0,0,	185,232,	164,223,	
0,0,	171,36,	171,36,	171,36,	
171,36,	171,36,	171,36,	171,36,	
171,36,	171,36,	171,36,	183,231,	
183,231,	183,231,	183,231,	183,231,	
183,231,	183,231,	183,231,	183,231,	
183,231,	185,232,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	185,233,	0,0,	164,223,	
0,0,	0,0,	0,0,	0,0,	
0,0,	185,36,	185,36,	185,36,	
185,36,	185,36,	185,36,	185,36,	
185,36,	185,36,	185,36,	186,36,	
186,36,	186,36,	186,36,	186,36,	
186,36,	186,36,	186,36,	186,36,	
186,36,	187,36,	187,36,	187,36,	
187,36,	187,36,	187,36,	187,36,	
187,36,	187,36,	187,36,	207,246,	
207,36,	207,36,	207,36,	207,36,	
207,36,	207,36,	207,36,	207,36,	
207,36,	190,236,	0,0,	0,0,	
0,0,	187,235,	0,0,	186,234,	
0,0,	228,36,	228,36,	228,36,	
228,36,	228,36,	228,36,	228,36,	
228,36,	228,36,	228,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
190,236,	0,0,	0,0,	191,238,	
228,272,	0,0,	0,0,	0,0,	
190,237,	0,0,	0,0,	0,0,	
0,0,	187,235,	0,0,	186,234,	
190,36,	190,36,	190,36,	190,36,	
190,36,	190,36,	190,36,	190,36,	
190,36,	190,36,	191,238,	0,0,	
0,0,	192,240,	0,0,	0,0,	
0,0,	0,0,	191,239,	0,0,	
228,272,	0,0,	0,0,	0,0,	
0,0,	0,0,	191,36,	191,36,	
191,36,	191,36,	191,36,	191,36,	
191,36,	191,36,	191,36,	191,36,	
192,240,	0,0,	0,0,	195,243,	
0,0,	0,0,	0,0,	0,0,	
192,241,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
192,36,	192,36,	192,242,	192,36,	
192,36,	192,36,	192,36,	192,36,	
192,36,	192,36,	195,243,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	195,244,	0,0,	
0,0,	0,0,	0,0,	208,247,	
0,0,	0,0,	195,36,	195,36,	
195,36,	195,36,	195,36,	195,36,	
195,36,	195,36,	195,36,	195,36,	
202,36,	202,36,	202,36,	202,36,	
202,36,	202,36,	202,36,	202,36,	
202,36,	202,36,	208,247,	0,0,	
0,0,	0,0,	209,249,	0,0,	
0,0,	0,0,	208,248,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	208,36,	208,36,	
208,36,	208,36,	208,36,	208,36,	
208,36,	208,36,	208,36,	208,36,	
202,245,	209,249,	0,0,	0,0,	
210,251,	0,0,	0,0,	0,0,	
0,0,	209,250,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	209,36,	209,36,	209,36,	
209,36,	209,36,	209,36,	209,36,	
209,36,	209,36,	209,36,	210,251,	
0,0,	0,0,	211,253,	0,0,	
202,245,	0,0,	0,0,	210,252,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	210,36,	
210,36,	210,36,	210,36,	210,36,	
210,36,	210,36,	210,36,	210,36,	
210,36,	211,253,	0,0,	0,0,	
214,255,	0,0,	0,0,	0,0,	
0,0,	211,254,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	211,36,	211,36,	211,36,	
211,36,	211,36,	211,36,	211,36,	
211,36,	211,36,	211,36,	214,255,	
0,0,	0,0,	215,257,	0,0,	
0,0,	0,0,	0,0,	214,256,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	214,36,	
214,36,	214,36,	214,36,	214,36,	
214,36,	214,36,	214,36,	214,36,	
214,36,	215,257,	0,0,	0,0,	
216,259,	0,0,	0,0,	0,0,	
0,0,	215,258,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	215,36,	215,36,	215,36,	
215,36,	215,36,	215,36,	215,36,	
215,36,	215,36,	215,36,	216,259,	
0,0,	0,0,	219,261,	0,0,	
0,0,	0,0,	0,0,	216,260,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	216,36,	
216,36,	216,36,	216,36,	216,36,	
216,36,	216,36,	216,36,	216,36,	
216,36,	219,261,	0,0,	0,0,	
220,263,	0,0,	0,0,	0,0,	
0,0,	219,262,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	219,36,	219,36,	219,36,	
219,36,	219,36,	219,36,	219,36,	
219,36,	219,36,	219,36,	220,263,	
0,0,	0,0,	223,265,	0,0,	
0,0,	0,0,	0,0,	220,264,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	220,36,	
220,36,	220,36,	220,36,	220,36,	
220,36,	220,36,	220,36,	220,36,	
220,36,	223,265,	226,268,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	223,266,	226,269,	226,268,	
0,0,	0,0,	234,275,	0,0,	
0,0,	223,36,	223,36,	223,36,	
223,36,	223,36,	223,36,	223,36,	
223,36,	223,36,	223,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	226,51,	0,0,	0,0,	
0,0,	234,275,	0,0,	0,0,	
226,268,	0,0,	0,0,	226,268,	
226,268,	234,276,	0,0,	0,0,	
0,0,	226,0,	226,268,	0,0,	
0,0,	234,36,	234,36,	234,36,	
234,36,	234,36,	234,36,	234,36,	
234,36,	234,36,	234,36,	235,277,	
0,0,	0,0,	226,268,	226,268,	
226,268,	226,268,	226,268,	226,268,	
226,268,	226,268,	226,270,	226,268,	
0,0,	226,268,	226,268,	226,268,	
226,268,	226,268,	226,268,	226,271,	
226,268,	226,268,	235,277,	226,268,	
0,0,	226,268,	242,279,	0,0,	
0,0,	0,0,	235,278,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	235,36,	235,36,	
235,36,	235,36,	235,36,	235,36,	
235,36,	235,36,	235,36,	235,36,	
0,0,	242,279,	0,0,	0,0,	
245,281,	0,0,	0,0,	0,0,	
0,0,	242,280,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	242,36,	242,36,	242,36,	
242,36,	242,36,	242,36,	242,36,	
242,36,	242,36,	242,36,	245,281,	
0,0,	0,0,	246,283,	0,0,	
0,0,	0,0,	0,0,	245,282,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	245,36,	
245,36,	245,36,	245,36,	245,36,	
245,36,	245,36,	245,36,	245,36,	
245,36,	246,283,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	246,284,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	246,36,	246,36,	246,36,	
246,36,	246,36,	246,36,	246,36,	
246,36,	246,36,	246,36,	272,36,	
272,36,	272,36,	272,36,	272,36,	
272,36,	272,36,	272,36,	272,36,	
272,36,	286,36,	286,36,	286,36,	
286,36,	286,36,	286,36,	286,36,	
286,36,	286,36,	286,36,	289,290,	
0,0,	0,0,	0,0,	0,0,	
272,286,	291,36,	291,36,	291,36,	
291,36,	291,36,	291,36,	291,36,	
291,36,	291,36,	291,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	289,290,	0,0,	
0,0,	286,289,	291,293,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
272,286,	0,0,	289,36,	289,36,	
289,36,	289,36,	289,36,	289,36,	
289,36,	289,36,	289,36,	289,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	286,289,	291,293,	293,36,	
293,36,	293,36,	293,36,	293,36,	
293,36,	293,36,	293,36,	293,36,	
293,36,	0,0,	0,0,	0,0,	
289,291,	0,0,	0,0,	0,0,	
293,295,	295,36,	295,36,	295,36,	
295,36,	295,36,	295,36,	295,36,	
295,36,	295,36,	295,36,	297,299,	
0,0,	0,0,	0,0,	0,0,	
0,0,	297,36,	297,36,	297,36,	
297,36,	297,36,	297,36,	297,36,	
297,36,	297,36,	297,36,	0,0,	
289,291,	295,297,	0,0,	0,0,	
293,295,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	295,297,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-19,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+-87,	0,		yyvstop+5,
yycrank+128,	0,		yyvstop+7,
yycrank+201,	0,		yyvstop+9,
yycrank+276,	0,		yyvstop+12,
yycrank+9,	yysvec+8,	yyvstop+14,
yycrank+350,	yysvec+8,	yyvstop+16,
yycrank+421,	0,		yyvstop+18,
yycrank+20,	0,		yyvstop+21,
yycrank+-479,	0,		yyvstop+23,
yycrank+-520,	yysvec+13,	yyvstop+26,
yycrank+14,	yysvec+8,	yyvstop+29,
yycrank+7,	yysvec+8,	yyvstop+31,
yycrank+0,	yysvec+5,	0,	
yycrank+6,	0,		yyvstop+33,
yycrank+563,	0,		yyvstop+35,
yycrank+21,	0,		0,	
yycrank+19,	0,		0,	
yycrank+118,	0,		0,	
yycrank+119,	0,		0,	
yycrank+36,	0,		0,	
yycrank+24,	0,		0,	
yycrank+28,	0,		0,	
yycrank+429,	0,		0,	
yycrank+573,	0,		0,	
yycrank+639,	0,		yyvstop+37,
yycrank+0,	yysvec+7,	yyvstop+39,
yycrank+352,	0,		0,	
yycrank+661,	0,		0,	
yycrank+0,	yysvec+31,	yyvstop+41,
yycrank+693,	0,		0,	
yycrank+7,	yysvec+8,	yyvstop+43,
yycrank+673,	yysvec+8,	yyvstop+45,
yycrank+768,	yysvec+8,	yyvstop+47,
yycrank+186,	yysvec+8,	yyvstop+49,
yycrank+778,	yysvec+8,	yyvstop+51,
yycrank+800,	yysvec+8,	yyvstop+53,
yycrank+815,	yysvec+8,	yyvstop+55,
yycrank+847,	yysvec+8,	yyvstop+57,
yycrank+873,	yysvec+8,	yyvstop+59,
yycrank+888,	yysvec+8,	yyvstop+61,
yycrank+903,	yysvec+8,	yyvstop+63,
yycrank+920,	yysvec+8,	yyvstop+65,
yycrank+953,	yysvec+8,	yyvstop+67,
yycrank+984,	yysvec+8,	yyvstop+69,
yycrank+1011,	yysvec+8,	yyvstop+71,
yycrank+1021,	yysvec+8,	yyvstop+73,
yycrank+4,	yysvec+12,	0,	
yycrank+0,	0,		yyvstop+75,
yycrank+0,	0,		yyvstop+77,
yycrank+32,	0,		0,	
yycrank+41,	0,		0,	
yycrank+5,	yysvec+12,	0,	
yycrank+0,	yysvec+13,	yyvstop+79,
yycrank+0,	0,		yyvstop+81,
yycrank+-1061,	yysvec+13,	yyvstop+83,
yycrank+-1102,	yysvec+13,	yyvstop+86,
yycrank+1107,	yysvec+8,	yyvstop+89,
yycrank+1049,	yysvec+8,	yyvstop+91,
yycrank+-1188,	yysvec+5,	0,	
yycrank+1182,	0,		0,	
yycrank+0,	yysvec+19,	0,	
yycrank+1151,	0,		0,	
yycrank+43,	0,		0,	
yycrank+103,	0,		0,	
yycrank+8,	0,		0,	
yycrank+9,	0,		0,	
yycrank+10,	0,		0,	
yycrank+11,	0,		0,	
yycrank+128,	0,		0,	
yycrank+28,	0,		0,	
yycrank+12,	0,		0,	
yycrank+31,	0,		0,	
yycrank+1190,	yysvec+32,	0,	
yycrank+0,	0,		yyvstop+93,
yycrank+1236,	yysvec+7,	0,	
yycrank+1243,	0,		0,	
yycrank+1264,	yysvec+29,	yyvstop+95,
yycrank+1265,	0,		0,	
yycrank+14,	yysvec+31,	0,	
yycrank+1249,	0,		0,	
yycrank+1330,	0,		yyvstop+98,
yycrank+16,	yysvec+34,	0,	
yycrank+1298,	0,		0,	
yycrank+6,	yysvec+31,	0,	
yycrank+1318,	0,		0,	
yycrank+1340,	yysvec+8,	yyvstop+100,
yycrank+1350,	yysvec+8,	yyvstop+102,
yycrank+1360,	yysvec+8,	yyvstop+104,
yycrank+1378,	yysvec+8,	yyvstop+106,
yycrank+1388,	yysvec+8,	yyvstop+108,
yycrank+1421,	yysvec+8,	yyvstop+110,
yycrank+1431,	yysvec+8,	yyvstop+112,
yycrank+1452,	yysvec+8,	yyvstop+114,
yycrank+1462,	yysvec+8,	yyvstop+116,
yycrank+1492,	yysvec+8,	yyvstop+118,
yycrank+1502,	yysvec+8,	yyvstop+120,
yycrank+1534,	yysvec+8,	yyvstop+122,
yycrank+1544,	yysvec+8,	yyvstop+124,
yycrank+1571,	yysvec+8,	yyvstop+126,
yycrank+1582,	yysvec+8,	yyvstop+128,
yycrank+1613,	yysvec+8,	yyvstop+130,
yycrank+1623,	yysvec+8,	yyvstop+132,
yycrank+1654,	yysvec+8,	yyvstop+134,
yycrank+1666,	yysvec+8,	yyvstop+136,
yycrank+1697,	yysvec+8,	yyvstop+138,
yycrank+1732,	yysvec+8,	yyvstop+140,
yycrank+34,	0,		0,	
yycrank+51,	0,		0,	
yycrank+9,	yysvec+12,	0,	
yycrank+-72,	yysvec+13,	yyvstop+142,
yycrank+-15,	yysvec+13,	yyvstop+144,
yycrank+1742,	yysvec+8,	yyvstop+146,
yycrank+1752,	yysvec+8,	yyvstop+148,
yycrank+1781,	0,		0,	
yycrank+10,	yysvec+118,	yyvstop+150,
yycrank+13,	0,		0,	
yycrank+0,	0,		yyvstop+152,
yycrank+48,	0,		0,	
yycrank+0,	0,		yyvstop+154,
yycrank+0,	0,		yyvstop+156,
yycrank+0,	0,		yyvstop+158,
yycrank+0,	0,		yyvstop+160,
yycrank+0,	0,		yyvstop+162,
yycrank+52,	0,		0,	
yycrank+57,	0,		0,	
yycrank+0,	0,		yyvstop+164,
yycrank+71,	0,		0,	
yycrank+86,	yysvec+84,	yyvstop+166,
yycrank+1746,	0,		0,	
yycrank+1807,	yysvec+29,	0,	
yycrank+1813,	0,		0,	
yycrank+1829,	0,		0,	
yycrank+92,	yysvec+136,	yyvstop+168,
yycrank+1841,	0,		0,	
yycrank+1873,	0,		0,	
yycrank+140,	yysvec+87,	0,	
yycrank+96,	yysvec+89,	yyvstop+170,
yycrank+1861,	yysvec+8,	yyvstop+172,
yycrank+1883,	yysvec+8,	yyvstop+174,
yycrank+1898,	yysvec+8,	yyvstop+176,
yycrank+1932,	yysvec+8,	yyvstop+178,
yycrank+1950,	yysvec+8,	yyvstop+181,
yycrank+1960,	yysvec+8,	yyvstop+183,
yycrank+1970,	yysvec+8,	yyvstop+185,
yycrank+2034,	yysvec+8,	yyvstop+187,
yycrank+2060,	yysvec+8,	yyvstop+190,
yycrank+2092,	yysvec+8,	yyvstop+193,
yycrank+2118,	yysvec+8,	yyvstop+196,
yycrank+2002,	yysvec+8,	yyvstop+199,
yycrank+2144,	yysvec+8,	yyvstop+201,
yycrank+2170,	yysvec+8,	yyvstop+204,
yycrank+2180,	yysvec+8,	yyvstop+207,
yycrank+2190,	yysvec+8,	yyvstop+209,
yycrank+2239,	yysvec+8,	yyvstop+211,
yycrank+2201,	yysvec+8,	yyvstop+214,
yycrank+2212,	yysvec+8,	yyvstop+216,
yycrank+2249,	yysvec+8,	yyvstop+218,
yycrank+2298,	yysvec+8,	yyvstop+220,
yycrank+2312,	yysvec+8,	yyvstop+223,
yycrank+2363,	yysvec+8,	yyvstop+225,
yycrank+86,	0,		0,	
yycrank+114,	0,		0,	
yycrank+101,	yysvec+12,	0,	
yycrank+-166,	yysvec+13,	yyvstop+228,
yycrank+-179,	yysvec+13,	yyvstop+230,
yycrank+2325,	yysvec+8,	yyvstop+233,
yycrank+2389,	yysvec+8,	yyvstop+235,
yycrank+108,	yysvec+118,	0,	
yycrank+0,	0,		yyvstop+237,
yycrank+0,	0,		yyvstop+239,
yycrank+0,	0,		yyvstop+241,
yycrank+0,	0,		yyvstop+243,
yycrank+0,	0,		yyvstop+245,
yycrank+118,	yysvec+84,	0,	
yycrank+2335,	0,		0,	
yycrank+119,	yysvec+179,	yyvstop+247,
yycrank+159,	yysvec+136,	0,	
yycrank+160,	yysvec+87,	0,	
yycrank+2399,	0,		0,	
yycrank+163,	yysvec+89,	0,	
yycrank+2425,	yysvec+8,	yyvstop+250,
yycrank+2435,	yysvec+8,	yyvstop+253,
yycrank+2445,	yysvec+8,	yyvstop+255,
yycrank+403,	0,		0,	
yycrank+0,	0,		yyvstop+257,
yycrank+2504,	yysvec+8,	yyvstop+259,
yycrank+2530,	yysvec+8,	yyvstop+262,
yycrank+2556,	yysvec+8,	yyvstop+265,
yycrank+404,	0,		0,	
yycrank+0,	0,		yyvstop+268,
yycrank+2582,	yysvec+8,	yyvstop+270,
yycrank+405,	0,		0,	
yycrank+0,	0,		yyvstop+273,
yycrank+416,	0,		0,	
yycrank+0,	0,		yyvstop+275,
yycrank+422,	0,		0,	
yycrank+0,	0,		yyvstop+277,
yycrank+2592,	yysvec+8,	yyvstop+279,
yycrank+459,	0,		0,	
yycrank+0,	0,		yyvstop+281,
yycrank+472,	0,		0,	
yycrank+0,	0,		yyvstop+283,
yycrank+2455,	yysvec+8,	yyvstop+285,
yycrank+2618,	yysvec+8,	yyvstop+287,
yycrank+2645,	yysvec+8,	yyvstop+290,
yycrank+2671,	yysvec+8,	yyvstop+293,
yycrank+2697,	yysvec+8,	yyvstop+296,
yycrank+473,	0,		0,	
yycrank+0,	0,		yyvstop+299,
yycrank+2723,	yysvec+8,	yyvstop+301,
yycrank+2749,	yysvec+8,	yyvstop+304,
yycrank+2775,	yysvec+8,	yyvstop+307,
yycrank+474,	0,		0,	
yycrank+0,	0,		yyvstop+310,
yycrank+2801,	yysvec+8,	yyvstop+312,
yycrank+2827,	yysvec+8,	yyvstop+315,
yycrank+475,	0,		0,	
yycrank+0,	0,		yyvstop+318,
yycrank+2853,	yysvec+8,	yyvstop+320,
yycrank+132,	0,		0,	
yycrank+154,	0,		0,	
yycrank+-2885,	0,		0,	
yycrank+-194,	yysvec+13,	yyvstop+323,
yycrank+2473,	yysvec+8,	yyvstop+325,
yycrank+151,	0,		0,	
yycrank+169,	yysvec+179,	0,	
yycrank+176,	yysvec+183,	yyvstop+327,
yycrank+476,	0,		0,	
yycrank+0,	0,		yyvstop+329,
yycrank+2889,	yysvec+8,	yyvstop+331,
yycrank+2938,	yysvec+8,	yyvstop+334,
yycrank+477,	0,		0,	
yycrank+0,	0,		yyvstop+337,
yycrank+491,	0,		0,	
yycrank+0,	0,		yyvstop+339,
yycrank+534,	0,		0,	
yycrank+0,	0,		yyvstop+341,
yycrank+2965,	yysvec+8,	yyvstop+343,
yycrank+625,	0,		0,	
yycrank+0,	0,		yyvstop+346,
yycrank+2991,	yysvec+8,	yyvstop+348,
yycrank+3017,	yysvec+8,	yyvstop+351,
yycrank+626,	0,		0,	
yycrank+0,	0,		yyvstop+354,
yycrank+627,	0,		0,	
yycrank+0,	0,		yyvstop+356,
yycrank+628,	0,		0,	
yycrank+0,	0,		yyvstop+358,
yycrank+629,	0,		0,	
yycrank+0,	0,		yyvstop+360,
yycrank+630,	0,		0,	
yycrank+0,	0,		yyvstop+362,
yycrank+640,	0,		0,	
yycrank+0,	0,		yyvstop+364,
yycrank+643,	0,		0,	
yycrank+0,	0,		yyvstop+366,
yycrank+849,	0,		0,	
yycrank+0,	0,		yyvstop+368,
yycrank+850,	0,		0,	
yycrank+0,	0,		yyvstop+370,
yycrank+851,	0,		0,	
yycrank+0,	0,		yyvstop+372,
yycrank+146,	0,		0,	
yycrank+0,	0,		yyvstop+374,
yycrank+185,	yysvec+12,	yyvstop+376,
yycrank+0,	yysvec+54,	yyvstop+378,
yycrank+0,	yysvec+55,	yyvstop+380,
yycrank+3027,	yysvec+8,	yyvstop+382,
yycrank+169,	0,		0,	
yycrank+192,	yysvec+183,	0,	
yycrank+875,	0,		0,	
yycrank+0,	0,		yyvstop+384,
yycrank+876,	0,		0,	
yycrank+0,	0,		yyvstop+386,
yycrank+877,	0,		0,	
yycrank+0,	0,		yyvstop+388,
yycrank+878,	0,		0,	
yycrank+0,	0,		yyvstop+390,
yycrank+952,	0,		0,	
yycrank+0,	0,		yyvstop+392,
yycrank+157,	0,		0,	
yycrank+3037,	yysvec+8,	yyvstop+394,
yycrank+0,	0,		yyvstop+396,
yycrank+176,	0,		0,	
yycrank+3086,	yysvec+8,	yyvstop+398,
yycrank+493,	0,		0,	
yycrank+3053,	yysvec+8,	yyvstop+400,
yycrank+192,	0,		0,	
yycrank+3107,	yysvec+8,	yyvstop+402,
yycrank+199,	0,		0,	
yycrank+3125,	yysvec+8,	yyvstop+404,
yycrank+189,	0,		0,	
yycrank+3141,	yysvec+8,	yyvstop+406,
yycrank+198,	0,		0,	
yycrank+195,	0,		0,	
yycrank+192,	0,		0,	
yycrank+0,	0,		yyvstop+408,
0,	0,	0};
struct yywork *yytop = yycrank+3233;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
 32,   1,   1,   1,   1,   1,   1,  39, 
  1,   1,  42,  43,   1,  43,   1,   1, 
 48,  49,  49,  49,  49,  49,  49,  49, 
 49,  49,   1,   1,   1,   1,   1,   1, 
  1,  65,  66,  67,  68,  69,  70,  71, 
 72,  73,  74,  74,  76,  77,  78,  79, 
 80,  81,  82,  83,  84,  74,  86,  74, 
 88,  74,  74,   1,   1,   1,   1,   1, 
  1,  65,  66,  67,  68,  69,  70,  71, 
 72,  73,  74,  74,  76,  77,  78,  79, 
 80,  81,  82,  83,  84,  74,  86,  74, 
 88,  74,  74,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.12	97/12/08 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
#ifdef YYISARRAY
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#else
			if (yylastch >= &yytext[ yytextsz ]) {
				int	x = yylastch - yytext;

				yytextsz += YYTEXTSZINC;
				if (yytext == yy_tbuf) {
				    yytext = (char *) malloc(yytextsz);
				    memcpy(yytext, yy_tbuf, sizeof (yy_tbuf));
				}
				else
				    yytext = (char *) realloc(yytext, yytextsz);
				if (!yytext) {
				    fprintf(yyout,
					"Cannot realloc yytext\n");
				    exit(1);
				}
				yylastch = yytext + x;
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (uintptr_t)yyt > (uintptr_t)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((uintptr_t)yyt < (uintptr_t)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
